View Issue Details

IDProjectCategoryView StatusLast Update
0000002BirdFont[All Projects] BirdFontpublic2013-07-01 15:28
ReporterplinnellAssigned Tojohan 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSopenSUSEOS Version12.2 x86-64
Product Version 
Target VersionFixed in Version0.8 
Summary0000002: Fails to build
Descriptionpeter@linux-0uek:~/build/birdfont-0.7.1> ./waf build
Waf: Entering directory `/home/peter/build/birdfont-0.7.1/build'
Writing Config.vala
[ 1/73] valac: src/Allocation.vala src/Argument.vala src/Font.vala src/BackgroundTool.vala src/BackgroundSelection.vala src/Birdfont.vala src/EotWriter.vala src/Expander.vala src/ExportTool.vala src/FontDisplay.vala src/CharDatabase.vala src/Config.vala src/Context.vala src/CutBackgroundTool.vala src/CutTool.vala src/ClipTool.vala src/DropMenu.vala src/EditPoint.vala src/EditPointHandle.vala src/Glyph.vala src/GlyphBackgroundImage.vala src/GlyphCanvas.vala src/GlyphCollection.vala src/GlyphRange.vala src/GlyphTable.vala src/GridTool.vala src/Icons.vala src/Kerning.vala src/KeyBindings.vala src/Line.vala src/MainWindow.vala src/MenuAction.vala src/MenuTab.vala src/MergeTool.vala src/MoveTool.vala src/NativeWindow.vala src/Intersection.vala src/IntersectionList.vala src/IOThread.vala src/OpenFontFormatWriter.vala src/OpenFontFormatReader.vala src/OverView.vala src/Path.vala src/PenTool.vala src/Preview.vala src/ResizeTool.vala src/SaveDialog.vala src/Scrollbar.vala src/ShrinkTool.vala src/SpinButton.vala src/Supplement.vala src/Svg.vala src/SvgFontFormatWriter.vala src/Preferences.vala src/Tab.vala src/TabBar.vala src/TestCases.vala src/TestSupplement.vala src/Tool.vala src/Toolbox.vala src/TooltipArea.vala src/UniRange.vala src/VersionList.vala src/ZoomTool.vala -> build/src/birdfont.h build/src/birdfont.vapi build/src/birdfont.deps build/src/Allocation.c build/src/Argument.c build/src/Font.c build/src/BackgroundTool.c build/src/BackgroundSelection.c build/src/Birdfont.c build/src/EotWriter.c build/src/Expander.c build/src/ExportTool.c build/src/FontDisplay.c build/src/CharDatabase.c build/src/Config.c build/src/Context.c build/src/CutBackgroundTool.c build/src/CutTool.c build/src/ClipTool.c build/src/DropMenu.c build/src/EditPoint.c build/src/EditPointHandle.c build/src/Glyph.c build/src/GlyphBackgroundImage.c build/src/GlyphCanvas.c build/src/GlyphCollection.c build/src/GlyphRange.c build/src/GlyphTable.c build/src/GridTool.c build/src/Icons.c build/src/Kerning.c build/src/KeyBindings.c build/src/Line.c build/src/MainWindow.c build/src/MenuAction.c build/src/MenuTab.c build/src/MergeTool.c build/src/MoveTool.c build/src/NativeWindow.c build/src/Intersection.c build/src/IntersectionList.c build/src/IOThread.c build/src/OpenFontFormatWriter.c build/src/OpenFontFormatReader.c build/src/OverView.c build/src/Path.c build/src/PenTool.c build/src/Preview.c build/src/ResizeTool.c build/src/SaveDialog.c build/src/Scrollbar.c build/src/ShrinkTool.c build/src/SpinButton.c build/src/Supplement.c build/src/Svg.c build/src/SvgFontFormatWriter.c build/src/Preferences.c build/src/Tab.c build/src/TabBar.c build/src/TestCases.c build/src/TestSupplement.c build/src/Tool.c build/src/Toolbox.c build/src/TooltipArea.c build/src/UniRange.c build/src/VersionList.c build/src/ZoomTool.c
[ 7/73] birdfont: build/Main.c -> build/src/birdfont
../build/GtkWindow.c: In function ‘supplement_gtk_window_supplement_native_window_interface_init’:
../build/GtkWindow.c:2426:19: warning: assignment from incompatible pointer type [enabled by default]
/usr/lib/gcc/i586-suse-linux/4.7/../../../../i586-suse-linux/bin/ld: cannot find -lbirdfont
collect2: error: ld returned 1 exit status
gtk+-2.0.vapi:5802.40-5802.42: warning: Gtk is deprecated. Use gtk+-3.0
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:74.10-74.31: warning: Access to static member `Supplement.MainWindow.tools' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:692.14-692.18: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:692.25-692.28: warning: Access to static member `Supplement.Glyph.xc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:167.8-167.26: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:167.35-167.53: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:703.10-703.13: warning: Access to static member `Supplement.Glyph.yc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:703.24-703.28: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:168.8-168.26: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:168.35-168.53: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:239.17-239.35: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:240.17-240.35: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:82.10-82.30: warning: Access to static member `Supplement.MainWindow.tabs' with an instance reference
/home/peter/build/birdfont-0.7.1/src/OverView.vala:1021.4-1021.48: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:57.3-57.11: warning: Access to static member `Supplement.OpenFontFormatWriter.font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:86.10-86.30: warning: Access to static member `Supplement.MainWindow.tabs' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:94.10-94.30: warning: Access to static member `Supplement.MainWindow.tabs' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:698.40-698.43: warning: Access to static member `Supplement.Glyph.xc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:708.31-708.34: warning: Access to static member `Supplement.Glyph.yc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Tool.vala:298.3-298.47: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:844.3-844.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:847.3-847.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:813.3-813.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:816.3-816.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:790.3-790.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:830.3-830.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:965.4-965.13: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:718.8-718.26: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:719.8-719.26: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:721.12-721.16: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:721.23-721.26: warning: Access to static member `Supplement.Glyph.xc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:722.8-722.11: warning: Access to static member `Supplement.Glyph.yc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:722.22-722.26: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:753.12-753.38: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:753.48-753.74: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:754.96-754.122: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:754.135-754.161: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:735.8-735.26: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:736.8-736.26: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Line.vala:123.8-123.34: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Line.vala:126.8-126.34: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/GridTool.vala:217.3-217.18: warning: Access to static member `Supplement.EditPoint.to_coordinate' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Font.vala:1317.40-1317.67: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
/home/peter/build/birdfont-0.7.1/src/Font.vala:1311.10-1311.26: warning: unhandled error `GLib.Error'
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:459.4-459.11: warning: Access to static member `Supplement.ExportTool.ExportThread.ffi' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:460.4-460.11: warning: Access to static member `Supplement.ExportTool.ExportThread.ttf' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:461.4-461.11: warning: Access to static member `Supplement.ExportTool.ExportThread.eot' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:123.24-123.38: warning: Access to static member `Supplement.NameTable.FONT_NAME' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:129.24-129.43: warning: Access to static member `Supplement.NameTable.SUBFAMILY_NAME' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:136.24-136.36: warning: Access to static member `Supplement.NameTable.VERSION' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:142.24-142.43: warning: Access to static member `Supplement.NameTable.FULL_FONT_NAME' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Preview.vala:38.2-38.26: warning: Supplement.Preview.get_html_file hides inherited method `Supplement.FontDisplay.get_html_file'. Use the `new' keyword if hiding was intentional
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:125.10-125.39: warning: Access to static member `Supplement.MainWindow.native_window' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MenuTab.vala:214.4-214.25: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MenuTab.vala:216.4-216.25: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Context.vala:213.7-213.36: warning: Access to static member `Supplement.KeyBindings.modifier' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Context.vala:213.49-213.78: warning: Access to static member `Supplement.KeyBindings.modifier' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:78.10-78.31: warning: Access to static member `Supplement.MainWindow.tools' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:484.31-484.61: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:484.71-484.101: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:487.5-487.49: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:664.3-664.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MoveTool.vala:105.17-105.25: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MoveTool.vala:105.41-105.49: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:123.29-123.52: warning: Access to static member `Supplement.PenTool.selected_points' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:140.4-140.34: warning: Access to static member `Supplement.PenTool.tie_x_or_y_coordinates' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:140.39-140.69: warning: Access to static member `Supplement.PenTool.tie_x_or_y_coordinates' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:161.3-161.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:164.3-164.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:217.10-217.28: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:217.35-217.53: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:105.3-105.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:108.3-108.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:42.3-42.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:45.3-45.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:224.3-224.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:227.3-227.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:265.3-265.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:294.9-294.38: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:295.5-295.34: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:297.5-297.34: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:442.4-442.21: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/BackgroundSelection.vala:243.47-243.74: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
/home/peter/build/birdfont-0.7.1/src/BackgroundSelection.vala:196.3-196.47: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:561.8-561.37: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:113.28-113.52: warning: Access to static member `Supplement.MainWindow.menu_tab' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:117.10-117.34: warning: Access to static member `Supplement.MainWindow.menu_tab' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Supplement.vala:85.3-85.18: warning: Access to static member `Supplement.Preferences.load' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Supplement.vala:101.3-101.27: warning: Access to static member `Supplement.Preferences.set_last_file' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:49.4-49.27: warning: Access to static member `Supplement.Supplement.fatal_wanings' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:93.6-93.29: warning: Access to static member `Supplement.Supplement.fatal_wanings' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:95.34-95.57: warning: Access to static member `Supplement.Supplement.fatal_warning' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:99.2-99.17: warning: Access to static member `Supplement.Preferences.load' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:101.2-101.16: warning: Access to static member `Supplement.Supplement.args' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:102.2-102.24: warning: Access to static member `Supplement.Supplement.current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:103.2-103.25: warning: Access to static member `Supplement.Supplement.current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:105.7-105.33: warning: Access to static member `Supplement.Supplement.get_current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:123.30-123.52: warning: Access to static member `Supplement.Supplement.current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:128.30-128.52: warning: Access to static member `Supplement.Supplement.current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/IOThread.vala:24.35-24.54: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:229.3-229.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:232.3-232.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:214.3-214.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:206.3-206.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Font.vala:620.11-624.3: warning: unreachable catch clause detected
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:21.2-21.40: warning: field `Supplement.ExportTool.prefered_browser' never used
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:24.2-24.58: warning: field `Supplement.ExportTool.export_thread_handle' never used
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:404.12-407.4: warning: unreachable catch clause detected
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:1269.2-1269.26: warning: method `Supplement.Glyph.plot_outline' never used
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:1461.9-1461.9: warning: local variable `g' declared but never used
/home/peter/build/birdfont-0.7.1/src/GlyphBackgroundImage.vala:654.11-656.3: warning: unreachable catch clause detected
/home/peter/build/birdfont-0.7.1/src/GlyphTable.vala:63.2-63.28: warning: method `Supplement.GlyphTable.nth' never used
/home/peter/build/birdfont-0.7.1/src/KeyBindings.vala:326.2-326.19: warning: method `Supplement.KeyBindings.get_short_cut' never used
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:48.2-48.40: warning: method `Supplement.MainWindow.get_native' never used
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:52.2-52.46: warning: method `Supplement.MainWindow.get_current_window' never used
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:112.2-112.44: warning: method `Supplement.MainWindow.get_content_display' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:63.2-63.18: warning: method `Supplement.IntersectionList.clear' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:69.2-69.25: warning: method `Supplement.IntersectionList.remove_point' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:101.2-101.27: warning: method `Supplement.IntersectionList.get_point_index' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:112.2-112.43: warning: method `Supplement.IntersectionList.get_next_intersection' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:211.2-211.22: warning: method `Supplement.IntersectionList.has_intersection' never used
/home/peter/build/birdfont-0.7.1/src/IOThread.vala:22.2-22.23: warning: method `Supplement.IOThread.add' never used
/home/peter/build/birdfont-0.7.1/src/IOThread.vala:24.26-24.68: warning: local variable `thread' declared but never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:155.2-155.29: warning: method `Supplement.FontData.write_table_data' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:314.2-314.22: warning: method `Supplement.FontData.add_udate' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:322.2-322.22: warning: method `Supplement.FontData.add_fword' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:326.2-326.24: warning: method `Supplement.FontData.add_f2dot14' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:402.2-402.19: warning: method `Supplement.FontData.add_32' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:409.2-409.20: warning: method `Supplement.FontData.add_u64' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:659.2-659.26: warning: method `Supplement.LocaTable.print_offsets' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:861.10-861.12: warning: local variable `end' declared but never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:908.10-908.17: warning: local variable `arg1and2' declared but never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:991.67-991.81: warning: use of possibly unassigned parameter `xmin'
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:991.84-991.98: warning: use of possibly unassigned parameter `xmax'
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:1844.2-1844.17: warning: method `Supplement.CmapSubtableWindowsUnicode.print_range' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:1950.2-1950.30: warning: method `Supplement.CmapSubtableWindowsUnicode.validate_subtable' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2001.2-2001.25: warning: method `Supplement.CmapTable.get_length' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2215.2-2215.18: warning: method `Supplement.HeadTable.print_values' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2445.2-2445.22: warning: method `Supplement.HmtxTable.print_all' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2686.2-2686.22: warning: method `Supplement.NameTable.print_all' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:3094.2-3094.22: warning: method `Supplement.PostTable.print_all' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:3101.2-3101.28: warning: method `Supplement.PostTable.print_all_names' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatReader.vala:24.2-24.17: warning: method `Supplement.Fixed.set' never used
/home/peter/build/birdfont-0.7.1/src/OverView.vala:94.10-94.60: warning: local variable `adjustement' declared but never used
/home/peter/build/birdfont-0.7.1/src/OverView.vala:95.10-95.59: warning: local variable `pixels' declared but never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:50.2-50.14: warning: field `Supplement.Path.selected' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:326.2-326.37: warning: method `Supplement.Path.get_edit_point_at' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:334.2-334.36: warning: method `Supplement.Path.remove_all_edit_points' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:354.2-354.28: warning: method `Supplement.Path.is_valid_union' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:430.2-430.27: warning: method `Supplement.Path.validate_list' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:657.2-657.26: warning: method `Supplement.Path.get_length' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:1151.2-1151.24: warning: method `Supplement.Path.distance_to_path' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:1361.2-1361.26: warning: method `Supplement.Path.point_on_bezier_path' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:118.2-118.28: warning: method `Supplement.PenTool.get_precision' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:412.2-412.53: warning: method `Supplement.PenTool.insert_new_point_on_path_selected' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:426.2-426.37: warning: method `Supplement.PenTool.is_erase_selected' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:449.2-449.39: warning: method `Supplement.PenTool.set_linear_handles_for_last_point' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:745.2-745.29: warning: method `Supplement.PenTool.test_coordinate' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:758.2-758.44: warning: method `Supplement.PenTool.test_last_is_counter_clockwise' never used
/home/peter/build/birdfont-0.7.1/src/Supplement.vala:40.14-40.17: warning: local variable `idle' declared but never used
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:26.2-26.14: warning: field `Supplement.Toolbox.expanded' never used
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:88.8-88.46: warning: local variable `shrink_tool' declared but never used
/home/peter/build/birdfont-0.7.1/src/FontDisplay.vala:150.13-150.14: warning: copying delegates is discouraged
Waf: Leaving directory `/home/peter/build/birdfont-0.7.1/build'
Build failed
 -> task in 'birdfont' failed (exit status 1):
        {task 3067882764L: birdfont Main.c -> birdfont}
' gcc ../build/Main.c ../build/GtkWindow.c \t\t\t\t-D \'GETTEXT_PACKAGE="birdfont"\' \t\t\t\t-I ../build/ -I ../build/src -L ../build/src -l birdfont \t\t\t\t-o src/birdfont \t\t\t\t$(pkg-config --cflags --libs glib-2.0) \t\t\t\t$(pkg-config --cflags --libs libxml-2.0) \t\t\t\t$(pkg-config --cflags --libs gio-2.0) \t\t\t\t$(pkg-config --cflags --libs libsoup-2.4) \t\t\t\t$(pkg-config --cflags --libs gtk+-2.0) \t\t\t\t$(pkg-config --cflags --libs webkit-1.0) '
peter@linux-0uek:~/build/birdfont-0.7.1> ./waf clean
'clean' finished successfully (0.040s)
peter@linux-0uek:~/build/birdfont-0.7.1> ./waf build
Waf: Entering directory `/home/peter/build/birdfont-0.7.1/build'
Writing Config.vala
[ 1/73] valac: src/Allocation.vala src/Argument.vala src/Font.vala src/BackgroundTool.vala src/BackgroundSelection.vala src/Birdfont.vala src/EotWriter.vala src/Expander.vala src/ExportTool.vala src/FontDisplay.vala src/CharDatabase.vala src/Config.vala src/Context.vala src/CutBackgroundTool.vala src/CutTool.vala src/ClipTool.vala src/DropMenu.vala src/EditPoint.vala src/EditPointHandle.vala src/Glyph.vala src/GlyphBackgroundImage.vala src/GlyphCanvas.vala src/GlyphCollection.vala src/GlyphRange.vala src/GlyphTable.vala src/GridTool.vala src/Icons.vala src/Kerning.vala src/KeyBindings.vala src/Line.vala src/MainWindow.vala src/MenuAction.vala src/MenuTab.vala src/MergeTool.vala src/MoveTool.vala src/NativeWindow.vala src/Intersection.vala src/IntersectionList.vala src/IOThread.vala src/OpenFontFormatWriter.vala src/OpenFontFormatReader.vala src/OverView.vala src/Path.vala src/PenTool.vala src/Preview.vala src/ResizeTool.vala src/SaveDialog.vala src/Scrollbar.vala src/ShrinkTool.vala src/SpinButton.vala src/Supplement.vala src/Svg.vala src/SvgFontFormatWriter.vala src/Preferences.vala src/Tab.vala src/TabBar.vala src/TestCases.vala src/TestSupplement.vala src/Tool.vala src/Toolbox.vala src/TooltipArea.vala src/UniRange.vala src/VersionList.vala src/ZoomTool.vala -> build/src/birdfont.h build/src/birdfont.vapi build/src/birdfont.deps build/src/Allocation.c build/src/Argument.c build/src/Font.c build/src/BackgroundTool.c build/src/BackgroundSelection.c build/src/Birdfont.c build/src/EotWriter.c build/src/Expander.c build/src/ExportTool.c build/src/FontDisplay.c build/src/CharDatabase.c build/src/Config.c build/src/Context.c build/src/CutBackgroundTool.c build/src/CutTool.c build/src/ClipTool.c build/src/DropMenu.c build/src/EditPoint.c build/src/EditPointHandle.c build/src/Glyph.c build/src/GlyphBackgroundImage.c build/src/GlyphCanvas.c build/src/GlyphCollection.c build/src/GlyphRange.c build/src/GlyphTable.c build/src/GridTool.c build/src/Icons.c build/src/Kerning.c build/src/KeyBindings.c build/src/Line.c build/src/MainWindow.c build/src/MenuAction.c build/src/MenuTab.c build/src/MergeTool.c build/src/MoveTool.c build/src/NativeWindow.c build/src/Intersection.c build/src/IntersectionList.c build/src/IOThread.c build/src/OpenFontFormatWriter.c build/src/OpenFontFormatReader.c build/src/OverView.c build/src/Path.c build/src/PenTool.c build/src/Preview.c build/src/ResizeTool.c build/src/SaveDialog.c build/src/Scrollbar.c build/src/ShrinkTool.c build/src/SpinButton.c build/src/Supplement.c build/src/Svg.c build/src/SvgFontFormatWriter.c build/src/Preferences.c build/src/Tab.c build/src/TabBar.c build/src/TestCases.c build/src/TestSupplement.c build/src/Tool.c build/src/Toolbox.c build/src/TooltipArea.c build/src/UniRange.c build/src/VersionList.c build/src/ZoomTool.c
[ 2/73] birdfont_h:
mv: cannot stat ‘src/birdfont.h’: No such file or directory
gtk+-2.0.vapi:5802.40-5802.42: warning: Gtk is deprecated. Use gtk+-3.0
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:74.10-74.31: warning: Access to static member `Supplement.MainWindow.tools' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:692.14-692.18: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:692.25-692.28: warning: Access to static member `Supplement.Glyph.xc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:167.8-167.26: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:167.35-167.53: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:703.10-703.13: warning: Access to static member `Supplement.Glyph.yc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:703.24-703.28: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:168.8-168.26: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:168.35-168.53: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:239.17-239.35: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:240.17-240.35: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:82.10-82.30: warning: Access to static member `Supplement.MainWindow.tabs' with an instance reference
/home/peter/build/birdfont-0.7.1/src/OverView.vala:1021.4-1021.48: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:57.3-57.11: warning: Access to static member `Supplement.OpenFontFormatWriter.font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:86.10-86.30: warning: Access to static member `Supplement.MainWindow.tabs' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:94.10-94.30: warning: Access to static member `Supplement.MainWindow.tabs' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:698.40-698.43: warning: Access to static member `Supplement.Glyph.xc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:708.31-708.34: warning: Access to static member `Supplement.Glyph.yc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Tool.vala:298.3-298.47: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:844.3-844.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:847.3-847.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:813.3-813.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:816.3-816.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:790.3-790.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:830.3-830.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:965.4-965.13: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:718.8-718.26: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:719.8-719.26: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:721.12-721.16: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:721.23-721.26: warning: Access to static member `Supplement.Glyph.xc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:722.8-722.11: warning: Access to static member `Supplement.Glyph.yc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:722.22-722.26: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:753.12-753.38: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:753.48-753.74: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:754.96-754.122: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:754.135-754.161: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:735.8-735.26: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:736.8-736.26: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Line.vala:123.8-123.34: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Line.vala:126.8-126.34: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/GridTool.vala:217.3-217.18: warning: Access to static member `Supplement.EditPoint.to_coordinate' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Font.vala:1317.40-1317.67: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
/home/peter/build/birdfont-0.7.1/src/Font.vala:1311.10-1311.26: warning: unhandled error `GLib.Error'
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:459.4-459.11: warning: Access to static member `Supplement.ExportTool.ExportThread.ffi' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:460.4-460.11: warning: Access to static member `Supplement.ExportTool.ExportThread.ttf' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:461.4-461.11: warning: Access to static member `Supplement.ExportTool.ExportThread.eot' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:123.24-123.38: warning: Access to static member `Supplement.NameTable.FONT_NAME' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:129.24-129.43: warning: Access to static member `Supplement.NameTable.SUBFAMILY_NAME' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:136.24-136.36: warning: Access to static member `Supplement.NameTable.VERSION' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:142.24-142.43: warning: Access to static member `Supplement.NameTable.FULL_FONT_NAME' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Preview.vala:38.2-38.26: warning: Supplement.Preview.get_html_file hides inherited method `Supplement.FontDisplay.get_html_file'. Use the `new' keyword if hiding was intentional
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:125.10-125.39: warning: Access to static member `Supplement.MainWindow.native_window' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MenuTab.vala:214.4-214.25: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MenuTab.vala:216.4-216.25: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Context.vala:213.7-213.36: warning: Access to static member `Supplement.KeyBindings.modifier' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Context.vala:213.49-213.78: warning: Access to static member `Supplement.KeyBindings.modifier' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:78.10-78.31: warning: Access to static member `Supplement.MainWindow.tools' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:484.31-484.61: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:484.71-484.101: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:487.5-487.49: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:664.3-664.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MoveTool.vala:105.17-105.25: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MoveTool.vala:105.41-105.49: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:123.29-123.52: warning: Access to static member `Supplement.PenTool.selected_points' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:140.4-140.34: warning: Access to static member `Supplement.PenTool.tie_x_or_y_coordinates' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:140.39-140.69: warning: Access to static member `Supplement.PenTool.tie_x_or_y_coordinates' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:161.3-161.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:164.3-164.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:217.10-217.28: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:217.35-217.53: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:105.3-105.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:108.3-108.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:42.3-42.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:45.3-45.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:224.3-224.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:227.3-227.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:265.3-265.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:294.9-294.38: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:295.5-295.34: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:297.5-297.34: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:442.4-442.21: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/BackgroundSelection.vala:243.47-243.74: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
/home/peter/build/birdfont-0.7.1/src/BackgroundSelection.vala:196.3-196.47: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:561.8-561.37: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:113.28-113.52: warning: Access to static member `Supplement.MainWindow.menu_tab' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:117.10-117.34: warning: Access to static member `Supplement.MainWindow.menu_tab' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Supplement.vala:85.3-85.18: warning: Access to static member `Supplement.Preferences.load' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Supplement.vala:101.3-101.27: warning: Access to static member `Supplement.Preferences.set_last_file' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:49.4-49.27: warning: Access to static member `Supplement.Supplement.fatal_wanings' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:93.6-93.29: warning: Access to static member `Supplement.Supplement.fatal_wanings' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:95.34-95.57: warning: Access to static member `Supplement.Supplement.fatal_warning' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:99.2-99.17: warning: Access to static member `Supplement.Preferences.load' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:101.2-101.16: warning: Access to static member `Supplement.Supplement.args' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:102.2-102.24: warning: Access to static member `Supplement.Supplement.current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:103.2-103.25: warning: Access to static member `Supplement.Supplement.current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:105.7-105.33: warning: Access to static member `Supplement.Supplement.get_current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:123.30-123.52: warning: Access to static member `Supplement.Supplement.current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:128.30-128.52: warning: Access to static member `Supplement.Supplement.current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/IOThread.vala:24.35-24.54: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:229.3-229.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:232.3-232.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:214.3-214.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:206.3-206.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Font.vala:620.11-624.3: warning: unreachable catch clause detected
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:21.2-21.40: warning: field `Supplement.ExportTool.prefered_browser' never used
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:24.2-24.58: warning: field `Supplement.ExportTool.export_thread_handle' never used
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:404.12-407.4: warning: unreachable catch clause detected
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:1269.2-1269.26: warning: method `Supplement.Glyph.plot_outline' never used
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:1461.9-1461.9: warning: local variable `g' declared but never used
/home/peter/build/birdfont-0.7.1/src/GlyphBackgroundImage.vala:654.11-656.3: warning: unreachable catch clause detected
/home/peter/build/birdfont-0.7.1/src/GlyphTable.vala:63.2-63.28: warning: method `Supplement.GlyphTable.nth' never used
/home/peter/build/birdfont-0.7.1/src/KeyBindings.vala:326.2-326.19: warning: method `Supplement.KeyBindings.get_short_cut' never used
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:48.2-48.40: warning: method `Supplement.MainWindow.get_native' never used
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:52.2-52.46: warning: method `Supplement.MainWindow.get_current_window' never used
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:112.2-112.44: warning: method `Supplement.MainWindow.get_content_display' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:63.2-63.18: warning: method `Supplement.IntersectionList.clear' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:69.2-69.25: warning: method `Supplement.IntersectionList.remove_point' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:101.2-101.27: warning: method `Supplement.IntersectionList.get_point_index' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:112.2-112.43: warning: method `Supplement.IntersectionList.get_next_intersection' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:211.2-211.22: warning: method `Supplement.IntersectionList.has_intersection' never used
/home/peter/build/birdfont-0.7.1/src/IOThread.vala:22.2-22.23: warning: method `Supplement.IOThread.add' never used
/home/peter/build/birdfont-0.7.1/src/IOThread.vala:24.26-24.68: warning: local variable `thread' declared but never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:155.2-155.29: warning: method `Supplement.FontData.write_table_data' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:314.2-314.22: warning: method `Supplement.FontData.add_udate' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:322.2-322.22: warning: method `Supplement.FontData.add_fword' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:326.2-326.24: warning: method `Supplement.FontData.add_f2dot14' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:402.2-402.19: warning: method `Supplement.FontData.add_32' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:409.2-409.20: warning: method `Supplement.FontData.add_u64' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:659.2-659.26: warning: method `Supplement.LocaTable.print_offsets' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:861.10-861.12: warning: local variable `end' declared but never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:908.10-908.17: warning: local variable `arg1and2' declared but never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:991.84-991.98: warning: use of possibly unassigned parameter `xmax'
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:991.67-991.81: warning: use of possibly unassigned parameter `xmin'
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:1844.2-1844.17: warning: method `Supplement.CmapSubtableWindowsUnicode.print_range' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:1950.2-1950.30: warning: method `Supplement.CmapSubtableWindowsUnicode.validate_subtable' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2001.2-2001.25: warning: method `Supplement.CmapTable.get_length' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2215.2-2215.18: warning: method `Supplement.HeadTable.print_values' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2445.2-2445.22: warning: method `Supplement.HmtxTable.print_all' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2686.2-2686.22: warning: method `Supplement.NameTable.print_all' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:3094.2-3094.22: warning: method `Supplement.PostTable.print_all' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:3101.2-3101.28: warning: method `Supplement.PostTable.print_all_names' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatReader.vala:24.2-24.17: warning: method `Supplement.Fixed.set' never used
/home/peter/build/birdfont-0.7.1/src/OverView.vala:94.10-94.60: warning: local variable `adjustement' declared but never used
/home/peter/build/birdfont-0.7.1/src/OverView.vala:95.10-95.59: warning: local variable `pixels' declared but never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:50.2-50.14: warning: field `Supplement.Path.selected' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:326.2-326.37: warning: method `Supplement.Path.get_edit_point_at' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:334.2-334.36: warning: method `Supplement.Path.remove_all_edit_points' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:354.2-354.28: warning: method `Supplement.Path.is_valid_union' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:430.2-430.27: warning: method `Supplement.Path.validate_list' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:657.2-657.26: warning: method `Supplement.Path.get_length' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:1151.2-1151.24: warning: method `Supplement.Path.distance_to_path' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:1361.2-1361.26: warning: method `Supplement.Path.point_on_bezier_path' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:118.2-118.28: warning: method `Supplement.PenTool.get_precision' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:412.2-412.53: warning: method `Supplement.PenTool.insert_new_point_on_path_selected' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:426.2-426.37: warning: method `Supplement.PenTool.is_erase_selected' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:449.2-449.39: warning: method `Supplement.PenTool.set_linear_handles_for_last_point' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:745.2-745.29: warning: method `Supplement.PenTool.test_coordinate' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:758.2-758.44: warning: method `Supplement.PenTool.test_last_is_counter_clockwise' never used
/home/peter/build/birdfont-0.7.1/src/Supplement.vala:40.14-40.17: warning: local variable `idle' declared but never used
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:26.2-26.14: warning: field `Supplement.Toolbox.expanded' never used
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:88.8-88.46: warning: local variable `shrink_tool' declared but never used
/home/peter/build/birdfont-0.7.1/src/FontDisplay.vala:150.13-150.14: warning: copying delegates is discouraged
Waf: Leaving directory `/home/peter/build/birdfont-0.7.1/build'
Build failed
 -> task in 'birdfont_h' failed (exit status 1):
        {task 3067783692L: birdfont_h -> }
' mv src/birdfont.h ./ '
peter@linux-0uek:~/build/birdfont-0.7.1> ./waf build
Waf: Entering directory `/home/peter/build/birdfont-0.7.1/build'
Writing Config.vala
[ 2/73] birdfont_h:
[ 2/73] valac: src/Allocation.vala src/Argument.vala src/Font.vala src/BackgroundTool.vala src/BackgroundSelection.vala src/Birdfont.vala src/EotWriter.vala src/Expander.vala src/ExportTool.vala src/FontDisplay.vala src/CharDatabase.vala src/Config.vala src/Context.vala src/CutBackgroundTool.vala src/CutTool.vala src/ClipTool.vala src/DropMenu.vala src/EditPoint.vala src/EditPointHandle.vala src/Glyph.vala src/GlyphBackgroundImage.vala src/GlyphCanvas.vala src/GlyphCollection.vala src/GlyphRange.vala src/GlyphTable.vala src/GridTool.vala src/Icons.vala src/Kerning.vala src/KeyBindings.vala src/Line.vala src/MainWindow.vala src/MenuAction.vala src/MenuTab.vala src/MergeTool.vala src/MoveTool.vala src/NativeWindow.vala src/Intersection.vala src/IntersectionList.vala src/IOThread.vala src/OpenFontFormatWriter.vala src/OpenFontFormatReader.vala src/OverView.vala src/Path.vala src/PenTool.vala src/Preview.vala src/ResizeTool.vala src/SaveDialog.vala src/Scrollbar.vala src/ShrinkTool.vala src/SpinButton.vala src/Supplement.vala src/Svg.vala src/SvgFontFormatWriter.vala src/Preferences.vala src/Tab.vala src/TabBar.vala src/TestCases.vala src/TestSupplement.vala src/Tool.vala src/Toolbox.vala src/TooltipArea.vala src/UniRange.vala src/VersionList.vala src/ZoomTool.vala -> build/src/birdfont.h build/src/birdfont.vapi build/src/birdfont.deps build/src/Allocation.c build/src/Argument.c build/src/Font.c build/src/BackgroundTool.c build/src/BackgroundSelection.c build/src/Birdfont.c build/src/EotWriter.c build/src/Expander.c build/src/ExportTool.c build/src/FontDisplay.c build/src/CharDatabase.c build/src/Config.c build/src/Context.c build/src/CutBackgroundTool.c build/src/CutTool.c build/src/ClipTool.c build/src/DropMenu.c build/src/EditPoint.c build/src/EditPointHandle.c build/src/Glyph.c build/src/GlyphBackgroundImage.c build/src/GlyphCanvas.c build/src/GlyphCollection.c build/src/GlyphRange.c build/src/GlyphTable.c build/src/GridTool.c build/src/Icons.c build/src/Kerning.c build/src/KeyBindings.c build/src/Line.c build/src/MainWindow.c build/src/MenuAction.c build/src/MenuTab.c build/src/MergeTool.c build/src/MoveTool.c build/src/NativeWindow.c build/src/Intersection.c build/src/IntersectionList.c build/src/IOThread.c build/src/OpenFontFormatWriter.c build/src/OpenFontFormatReader.c build/src/OverView.c build/src/Path.c build/src/PenTool.c build/src/Preview.c build/src/ResizeTool.c build/src/SaveDialog.c build/src/Scrollbar.c build/src/ShrinkTool.c build/src/SpinButton.c build/src/Supplement.c build/src/Svg.c build/src/SvgFontFormatWriter.c build/src/Preferences.c build/src/Tab.c build/src/TabBar.c build/src/TestCases.c build/src/TestSupplement.c build/src/Tool.c build/src/Toolbox.c build/src/TooltipArea.c build/src/UniRange.c build/src/VersionList.c build/src/ZoomTool.c
[ 3/73] main_c: src/Main.vala src/GtkWindow.vala -> build/Main.c
Compilation succeeded - 93 warning(s)
../src/GtkWindow.vala:304.10-304.34: warning: chained relational expressions are experimental
                        if (!(0 <= n < tb.get_length ())) {
                              ^^^^^^^^^^^^^^^^^^^^^^^^^
../src/GtkWindow.vala:317.10-317.34: warning: chained relational expressions are experimental
                        if (!(0 <= n < tb.get_length ())) {
                              ^^^^^^^^^^^^^^^^^^^^^^^^^
../src/GtkWindow.vala:330.10-330.34: warning: chained relational expressions are experimental
                        if (!(0 <= n < tb.get_length ())) {
                              ^^^^^^^^^^^^^^^^^^^^^^^^^
gtk+-2.0.vapi:5802.40-5802.42: warning: Gtk is deprecated. Use gtk+-3.0
../src/Main.vala:25.2-25.4: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:736.23-736.25: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:738.30-738.32: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:501.4-501.6: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:506.4-506.6: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:87.12-87.25: warning: Access to static member `Supplement.FontDisplay.path_to_uri' with an instance reference
                                        uri = fd.path_to_uri ((!) layout_uri.get_path ());
                                              ^^^^^^^^^^^^^^
../src/GtkWindow.vala:234.28-234.30: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:235.28-235.30: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:236.27-236.29: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:237.28-237.30: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:239.32-239.34: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:243.31-243.33: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:246.59-246.61: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:246.90-246.92: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:248.32-248.34: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:251.60-251.62: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:251.91-251.93: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:253.32-253.34: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:256.60-256.62: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:256.91-256.93: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:258.35-258.37: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:262.34-262.36: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:265.62-265.64: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:265.93-265.95: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:267.35-267.37: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:270.63-270.65: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:270.94-270.96: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:272.35-272.37: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:275.63-275.65: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:275.94-275.96: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:277.32-277.34: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:282.32-282.34: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:285.60-285.62: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:285.91-285.93: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:287.32-287.34: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:290.60-290.62: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:290.91-290.93: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:292.33-292.35: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:295.61-295.63: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:295.92-295.94: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:298.36-298.38: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:311.40-311.42: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:324.37-324.39: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:336.65-336.67: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:336.96-336.98: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:339.31-339.33: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:344.59-344.61: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:344.90-344.92: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:346.32-346.34: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:352.35-352.37: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:357.63-357.65: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:357.94-357.96: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:359.32-359.34: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:364.60-364.62: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:364.91-364.93: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:366.40-366.42: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:371.68-371.70: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:371.99-371.101: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:373.43-373.45: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:378.71-378.73: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:378.102-378.104: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:380.49-380.51: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:385.77-385.79: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:385.108-385.110: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:387.36-387.38: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:393.39-393.41: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:399.35-399.37: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:404.63-404.65: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:404.94-404.96: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:406.36-406.38: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:411.64-411.66: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:411.95-411.97: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:413.36-413.38: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:418.64-418.66: warning: Gdk is deprecated. Use gdk-3.0
../src/GtkWindow.vala:418.95-418.97: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:421.36-421.38: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:424.36-424.38: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:427.35-427.37: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:430.36-430.38: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:211.21-211.39: warning: Access to static member `Supplement.MainWindow.glyph_canvas' with an instance reference
                        FontDisplay fd = window.glyph_canvas.current_display;
                                         ^^^^^^^^^^^^^^^^^^^
../src/GtkWindow.vala:214.5-214.16: warning: Access to static member `Supplement.MainWindow.tools' with an instance reference
                                window.tools.key_press (event.keyval);
                                ^^^^^^^^^^^^
../src/GtkWindow.vala:217.4-217.22: warning: Access to static member `Supplement.MainWindow.glyph_canvas' with an instance reference
                        window.glyph_canvas.key_press (event.keyval);
                        ^^^^^^^^^^^^^^^^^^^
../src/GtkWindow.vala:223.8-223.26: warning: Access to static member `Supplement.MainWindow.glyph_canvas' with an instance reference
                        if (window.glyph_canvas is Glyph) {
                            ^^^^^^^^^^^^^^^^^^^
../src/GtkWindow.vala:224.5-224.23: warning: Access to static member `Supplement.MainWindow.glyph_canvas' with an instance reference
                                window.glyph_canvas.key_release (event.keyval);
                                ^^^^^^^^^^^^^^^^^^^
../src/Main.vala:35.2-35.4: warning: Gtk is deprecated. Use gtk+-3.0
../src/Main.vala:44.9-44.23: warning: Access to static member `Supplement.Supplement.args' with an instance reference
        file = supplement.args.get_file ();
               ^^^^^^^^^^^^^^^
../src/Main.vala:46.3-46.17: warning: Access to static member `Supplement.MainWindow.menu_tab' with an instance reference
                window.menu_tab.load_font (file);
                ^^^^^^^^^^^^^^^
../src/Main.vala:49.2-49.4: warning: Gtk is deprecated. Use gtk+-3.0
../src/GtkWindow.vala:41.2-41.30: warning: field `Supplement.GtkWindow.key_pressed' never used
        static List<uint> key_pressed = new List<uint> ();
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[ 4/73] birdfont_export: -> build/BirdfontExport.c
Compilation succeeded - 1 warning(s)
gtk+-2.0.vapi:5802.40-5802.42: warning: Gtk is deprecated. Use gtk+-3.0
[ 5/73] sv:
[ 6/73] locale/sv/LC_MESSAGES/birdfont.mo: -> build/locale/sv/LC_MESSAGES/birdfont.mo
[ 7/73] birdfont: build/Main.c -> build/src/birdfont
../build/GtkWindow.c: In function ‘supplement_gtk_window_supplement_native_window_interface_init’:
../build/GtkWindow.c:2426:19: warning: assignment from incompatible pointer type [enabled by default]
/usr/lib/gcc/i586-suse-linux/4.7/../../../../i586-suse-linux/bin/ld: cannot find -lbirdfont
collect2: error: ld returned 1 exit status
gtk+-2.0.vapi:5802.40-5802.42: warning: Gtk is deprecated. Use gtk+-3.0
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:74.10-74.31: warning: Access to static member `Supplement.MainWindow.tools' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:692.14-692.18: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:692.25-692.28: warning: Access to static member `Supplement.Glyph.xc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:167.8-167.26: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:167.35-167.53: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:703.10-703.13: warning: Access to static member `Supplement.Glyph.yc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:703.24-703.28: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:168.8-168.26: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:168.35-168.53: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:239.17-239.35: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/CutBackgroundTool.vala:240.17-240.35: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:82.10-82.30: warning: Access to static member `Supplement.MainWindow.tabs' with an instance reference
/home/peter/build/birdfont-0.7.1/src/OverView.vala:1021.4-1021.48: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:57.3-57.11: warning: Access to static member `Supplement.OpenFontFormatWriter.font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:86.10-86.30: warning: Access to static member `Supplement.MainWindow.tabs' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:94.10-94.30: warning: Access to static member `Supplement.MainWindow.tabs' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:698.40-698.43: warning: Access to static member `Supplement.Glyph.xc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:708.31-708.34: warning: Access to static member `Supplement.Glyph.yc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Tool.vala:298.3-298.47: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:844.3-844.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:847.3-847.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:813.3-813.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:816.3-816.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:790.3-790.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:830.3-830.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:965.4-965.13: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:718.8-718.26: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:719.8-719.26: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:721.12-721.16: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:721.23-721.26: warning: Access to static member `Supplement.Glyph.xc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:722.8-722.11: warning: Access to static member `Supplement.Glyph.yc' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:722.22-722.26: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:753.12-753.38: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:753.48-753.74: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:754.96-754.122: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:754.135-754.161: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:735.8-735.26: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:736.8-736.26: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Line.vala:123.8-123.34: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Line.vala:126.8-126.34: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/GridTool.vala:217.3-217.18: warning: Access to static member `Supplement.EditPoint.to_coordinate' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Font.vala:1317.40-1317.67: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
/home/peter/build/birdfont-0.7.1/src/Font.vala:1311.10-1311.26: warning: unhandled error `GLib.Error'
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:459.4-459.11: warning: Access to static member `Supplement.ExportTool.ExportThread.ffi' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:460.4-460.11: warning: Access to static member `Supplement.ExportTool.ExportThread.ttf' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:461.4-461.11: warning: Access to static member `Supplement.ExportTool.ExportThread.eot' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:123.24-123.38: warning: Access to static member `Supplement.NameTable.FONT_NAME' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:129.24-129.43: warning: Access to static member `Supplement.NameTable.SUBFAMILY_NAME' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:136.24-136.36: warning: Access to static member `Supplement.NameTable.VERSION' with an instance reference
/home/peter/build/birdfont-0.7.1/src/EotWriter.vala:142.24-142.43: warning: Access to static member `Supplement.NameTable.FULL_FONT_NAME' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Preview.vala:38.2-38.26: warning: Supplement.Preview.get_html_file hides inherited method `Supplement.FontDisplay.get_html_file'. Use the `new' keyword if hiding was intentional
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:125.10-125.39: warning: Access to static member `Supplement.MainWindow.native_window' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MenuTab.vala:214.4-214.25: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MenuTab.vala:216.4-216.25: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Context.vala:213.7-213.36: warning: Access to static member `Supplement.KeyBindings.modifier' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Context.vala:213.49-213.78: warning: Access to static member `Supplement.KeyBindings.modifier' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:78.10-78.31: warning: Access to static member `Supplement.MainWindow.tools' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:484.31-484.61: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:484.71-484.101: warning: Access to static member `Supplement.Glyph.reverse_path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:487.5-487.49: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:664.3-664.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MoveTool.vala:105.17-105.25: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MoveTool.vala:105.41-105.49: warning: Access to static member `Supplement.Glyph.ivz' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:123.29-123.52: warning: Access to static member `Supplement.PenTool.selected_points' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:140.4-140.34: warning: Access to static member `Supplement.PenTool.tie_x_or_y_coordinates' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:140.39-140.69: warning: Access to static member `Supplement.PenTool.tie_x_or_y_coordinates' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:161.3-161.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:164.3-164.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:217.10-217.28: warning: Access to static member `Supplement.Glyph.path_coordinate_x' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:217.35-217.53: warning: Access to static member `Supplement.Glyph.path_coordinate_y' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:105.3-105.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:108.3-108.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:42.3-42.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:45.3-45.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:224.3-224.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:227.3-227.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MergeTool.vala:265.3-265.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:294.9-294.38: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:295.5-295.34: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:297.5-297.34: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:442.4-442.21: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/BackgroundSelection.vala:243.47-243.74: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
/home/peter/build/birdfont-0.7.1/src/BackgroundSelection.vala:196.3-196.47: warning: Access to static member `Supplement.Toolbox.select_tool_by_name' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:561.8-561.37: warning: Access to static member `Supplement.GlyphCanvas.get_current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:113.28-113.52: warning: Access to static member `Supplement.MainWindow.menu_tab' with an instance reference
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:117.10-117.34: warning: Access to static member `Supplement.MainWindow.menu_tab' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Supplement.vala:85.3-85.18: warning: Access to static member `Supplement.Preferences.load' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Supplement.vala:101.3-101.27: warning: Access to static member `Supplement.Preferences.set_last_file' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:49.4-49.27: warning: Access to static member `Supplement.Supplement.fatal_wanings' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:93.6-93.29: warning: Access to static member `Supplement.Supplement.fatal_wanings' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:95.34-95.57: warning: Access to static member `Supplement.Supplement.fatal_warning' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:99.2-99.17: warning: Access to static member `Supplement.Preferences.load' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:101.2-101.16: warning: Access to static member `Supplement.Supplement.args' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:102.2-102.24: warning: Access to static member `Supplement.Supplement.current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:103.2-103.25: warning: Access to static member `Supplement.Supplement.current_glyph' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:105.7-105.33: warning: Access to static member `Supplement.Supplement.get_current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:123.30-123.52: warning: Access to static member `Supplement.Supplement.current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Birdfont.vala:128.30-128.52: warning: Access to static member `Supplement.Supplement.current_font' with an instance reference
/home/peter/build/birdfont-0.7.1/src/IOThread.vala:24.35-24.54: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:229.3-229.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:232.3-232.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:214.3-214.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/ResizeTool.vala:206.3-206.12: warning: Access to static member `Supplement.Tool.yield' with an instance reference
/home/peter/build/birdfont-0.7.1/src/Font.vala:620.11-624.3: warning: unreachable catch clause detected
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:21.2-21.40: warning: field `Supplement.ExportTool.prefered_browser' never used
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:24.2-24.58: warning: field `Supplement.ExportTool.export_thread_handle' never used
/home/peter/build/birdfont-0.7.1/src/ExportTool.vala:404.12-407.4: warning: unreachable catch clause detected
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:1269.2-1269.26: warning: method `Supplement.Glyph.plot_outline' never used
/home/peter/build/birdfont-0.7.1/src/Glyph.vala:1461.9-1461.9: warning: local variable `g' declared but never used
/home/peter/build/birdfont-0.7.1/src/GlyphBackgroundImage.vala:654.11-656.3: warning: unreachable catch clause detected
/home/peter/build/birdfont-0.7.1/src/GlyphTable.vala:63.2-63.28: warning: method `Supplement.GlyphTable.nth' never used
/home/peter/build/birdfont-0.7.1/src/KeyBindings.vala:326.2-326.19: warning: method `Supplement.KeyBindings.get_short_cut' never used
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:48.2-48.40: warning: method `Supplement.MainWindow.get_native' never used
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:52.2-52.46: warning: method `Supplement.MainWindow.get_current_window' never used
/home/peter/build/birdfont-0.7.1/src/MainWindow.vala:112.2-112.44: warning: method `Supplement.MainWindow.get_content_display' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:63.2-63.18: warning: method `Supplement.IntersectionList.clear' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:69.2-69.25: warning: method `Supplement.IntersectionList.remove_point' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:101.2-101.27: warning: method `Supplement.IntersectionList.get_point_index' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:112.2-112.43: warning: method `Supplement.IntersectionList.get_next_intersection' never used
/home/peter/build/birdfont-0.7.1/src/IntersectionList.vala:211.2-211.22: warning: method `Supplement.IntersectionList.has_intersection' never used
/home/peter/build/birdfont-0.7.1/src/IOThread.vala:22.2-22.23: warning: method `Supplement.IOThread.add' never used
/home/peter/build/birdfont-0.7.1/src/IOThread.vala:24.26-24.68: warning: local variable `thread' declared but never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:155.2-155.29: warning: method `Supplement.FontData.write_table_data' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:314.2-314.22: warning: method `Supplement.FontData.add_udate' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:322.2-322.22: warning: method `Supplement.FontData.add_fword' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:326.2-326.24: warning: method `Supplement.FontData.add_f2dot14' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:402.2-402.19: warning: method `Supplement.FontData.add_32' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:409.2-409.20: warning: method `Supplement.FontData.add_u64' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:659.2-659.26: warning: method `Supplement.LocaTable.print_offsets' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:861.10-861.12: warning: local variable `end' declared but never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:908.10-908.17: warning: local variable `arg1and2' declared but never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:991.84-991.98: warning: use of possibly unassigned parameter `xmax'
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:991.67-991.81: warning: use of possibly unassigned parameter `xmin'
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:1844.2-1844.17: warning: method `Supplement.CmapSubtableWindowsUnicode.print_range' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:1950.2-1950.30: warning: method `Supplement.CmapSubtableWindowsUnicode.validate_subtable' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2001.2-2001.25: warning: method `Supplement.CmapTable.get_length' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2215.2-2215.18: warning: method `Supplement.HeadTable.print_values' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2445.2-2445.22: warning: method `Supplement.HmtxTable.print_all' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:2686.2-2686.22: warning: method `Supplement.NameTable.print_all' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:3094.2-3094.22: warning: method `Supplement.PostTable.print_all' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatWriter.vala:3101.2-3101.28: warning: method `Supplement.PostTable.print_all_names' never used
/home/peter/build/birdfont-0.7.1/src/OpenFontFormatReader.vala:24.2-24.17: warning: method `Supplement.Fixed.set' never used
/home/peter/build/birdfont-0.7.1/src/OverView.vala:94.10-94.60: warning: local variable `adjustement' declared but never used
/home/peter/build/birdfont-0.7.1/src/OverView.vala:95.10-95.59: warning: local variable `pixels' declared but never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:50.2-50.14: warning: field `Supplement.Path.selected' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:326.2-326.37: warning: method `Supplement.Path.get_edit_point_at' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:334.2-334.36: warning: method `Supplement.Path.remove_all_edit_points' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:354.2-354.28: warning: method `Supplement.Path.is_valid_union' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:430.2-430.27: warning: method `Supplement.Path.validate_list' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:657.2-657.26: warning: method `Supplement.Path.get_length' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:1151.2-1151.24: warning: method `Supplement.Path.distance_to_path' never used
/home/peter/build/birdfont-0.7.1/src/Path.vala:1361.2-1361.26: warning: method `Supplement.Path.point_on_bezier_path' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:118.2-118.28: warning: method `Supplement.PenTool.get_precision' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:412.2-412.53: warning: method `Supplement.PenTool.insert_new_point_on_path_selected' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:426.2-426.37: warning: method `Supplement.PenTool.is_erase_selected' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:449.2-449.39: warning: method `Supplement.PenTool.set_linear_handles_for_last_point' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:745.2-745.29: warning: method `Supplement.PenTool.test_coordinate' never used
/home/peter/build/birdfont-0.7.1/src/PenTool.vala:758.2-758.44: warning: method `Supplement.PenTool.test_last_is_counter_clockwise' never used
/home/peter/build/birdfont-0.7.1/src/Supplement.vala:40.14-40.17: warning: local variable `idle' declared but never used
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:26.2-26.14: warning: field `Supplement.Toolbox.expanded' never used
/home/peter/build/birdfont-0.7.1/src/Toolbox.vala:88.8-88.46: warning: local variable `shrink_tool' declared but never used
/home/peter/build/birdfont-0.7.1/src/FontDisplay.vala:150.13-150.14: warning: copying delegates is discouraged
Waf: Leaving directory `/home/peter/build/birdfont-0.7.1/build'
Build failed
 -> task in 'birdfont' failed (exit status 1):
        {task 3068268844L: birdfont Main.c -> birdfont}
' gcc ../build/Main.c ../build/GtkWindow.c \t\t\t\t-D \'GETTEXT_PACKAGE="birdfont"\' \t\t\t\t-I ../build/ -I ../build/src -L ../build/src -l birdfont \t\t\t\t-o src/birdfont \t\t\t\t$(pkg-config --cflags --libs glib-2.0) \t\t\t\t$(pkg-config --cflags --libs libxml-2.0) \t\t\t\t$(pkg-config --cflags --libs gio-2.0) \t\t\t\t$(pkg-config --cflags --libs libsoup-2.4) \t\t\t\t$(pkg-config --cflags --libs gtk+-2.0) \t\t\t\t$(pkg-config --cflags --libs webkit-1.0) '
TagsNo tags attached.

Activities

johan

2012-12-16 15:00

administrator   ~0000001

Last edited: 2012-12-16 17:22

View 2 revisions

Thank you for the report. It seems like valac and waf stores birdfont.h in some other place on opensuse. I will look a bit closer to it and even rewrite the build system with some other tool than waf, soon.

(mv: cannot stat ‘src/birdfont.h’: No such file or directory)

johan

2012-12-18 23:27

administrator   ~0000002

Last edited: 2013-07-01 15:28

View 4 revisions

I removed waf birdfont since several distributions won't package it. The new build system for birdfont is doit.

If you want to try it please check out the latest git version.

git clone git://gitorious.org/birdfont/birdfont.git
./configure
doit
sudo ./install

Issue History

Date Modified Username Field Change
2012-12-16 05:44 plinnell New Issue
2012-12-16 15:00 johan Note Added: 0000001
2012-12-16 17:22 johan Note Edited: 0000001 View Revisions
2012-12-18 23:27 johan Note Added: 0000002
2012-12-18 23:27 johan Note Edited: 0000002 View Revisions
2012-12-18 23:34 johan Note Edited: 0000002 View Revisions
2012-12-18 23:38 johan Status new => resolved
2012-12-18 23:38 johan Fixed in Version => 0.8
2012-12-18 23:38 johan Resolution open => fixed
2012-12-18 23:38 johan Assigned To => johan
2013-06-22 14:33 johan Category Birdfont => BirdFont
2013-07-01 15:28 johan Note Edited: 0000002 View Revisions